### Enumeration

# EBackend CacheUnlockAction

since: 3.26

#### Declaration

    enum EBackend.CacheUnlockAction

#### Description [src]

Indicates what type of action to take while unlocking the cache with e_cache_unlock().

Available since: 3.26

#### Members

`E_CACHE_UNLOCK_NONE`

  Just unlock, this is appropriate for locks which were obtained with `E_CACHE_LOCK_READ`.

  - Value: `0`
  - Available since: 3.26
`E_CACHE_UNLOCK_COMMIT`

  Commit any modifications which were made while the lock was held.

  - Value: `1`
  - Available since: 3.26
`E_CACHE_UNLOCK_ROLLBACK`

  Rollback any modifications which were made while the lock was held.

  - Value: `2`
  - Available since: 3.26